%define debug_package %{nil}

Summary:	A simple text editor for Xfce
Name:		mousepad
Version:	0.2.16
Release:	%mkrel 2
License:	GPLv2+
Group:		Editors
URL:		http://www.xfce.org
Source:		http://mocha.xfce.org/archive/xfce-4.6.0/src/%{name}-%{version}.tar.bz2
BuildRequires:	gtk2-devel
BuildRequires:	chrpath
BuildRequires:	libxfcegui4-devel >= 4.6.0
BuildRequires:	imagemagick
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mousepad is a text editor for Xfce based on Leafpad. The initial reason for
Mousepad was to provide printing support, which would have been difficult
for Leafpad for various reasons.

Although some features are under development, currently Mousepad has the
following features:

    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# fix rpath
chrpath -d %{buildroot}%{_bindir}/%{name}
# strip binary
strip %{buildroot}%{_bindir}/%{name}


%find_lang %{name} --with-gnome

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert %{name}.png -geometry 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png


desktop-file-install \
    --remove-category="Application" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-2mdv2009.1
+ Revision: 349164
- rebuild whole xfce

* Sat Feb 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-1mdv2009.1
+ Revision: 346126
- drop patch 1, not needed anymore
- update to new version 0.2.16

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 0.2.14-1mdv2009.1
+ Revision: 324027
- New upstream release

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-5mdv2009.1
+ Revision: 294904
- rebuild for new Xfce4.6 beta1

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.13-4mdv2009.0
+ Revision: 252786
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-2mdv2008.1
+ Revision: 170066
- Patch0: fix recent items sort

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-1mdv2008.1
+ Revision: 110066
- new version 0.2.13
- new license policy
- spec file clean

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.12-5mdv2008.0
+ Revision: 89948
- rebuild

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-4mdv2008.0
+ Revision: 71244
- remove X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-3mdv2008.0
+ Revision: 32841
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-2mdv2008.0
+ Revision: 32817
- spec file clean
- drop old style menu
- tune up desktop file
- add icon macro to %%post and %%postun


* Tue Jan 23 2007 plouf <plouf> 0.2.12-1mdv2007.0
+ Revision: 112308
- New release 0.2.12

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.10-1mdv2007.1
+ Revision: 95212
- New release 0.2.10
- Import mousepad

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.6-1mdv2007.0
- 0.2.6
- xdg

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-2mdk
- Fix BuildRequires

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.2.4-1mdk
- New release 0.2.4

* Fri Nov 25 2005 Marcel Pol <mpol@mandriva.org> 0.2.2-3mdk
- fix menu

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.2.2-2mdk
- buildrequires ImageMagick

* Tue Apr 05 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.2.2-1mdk
- 0.2.2

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 0.2.1-1mdk
- 0.2.1
- buildrequires libxfcegui4-devel
- strip binary

* Thu Feb 03 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.1-1mdk
- 0.1.1
- change Group to Editors
- BR chrpath and strip /bin

* Sat Jan 22 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.0-1mdk
- 1st Mdk release

